# Method Standards.URI()->create()

Method create

  `Standards.URI Standards.URI(`URI` `uri`)`
  `Standards.URI Standards.URI(`URI` `uri`, `URI` `base_uri`)`
  `Standards.URI Standards.URI(`URI` `uri`, `string` `base_uri`)`
  `Standards.URI Standards.URI(`string` `uri`)`
  `Standards.URI Standards.URI(`string` `uri`, `URI` `base_uri`)`
  `Standards.URI Standards.URI(`string` `uri`, `string` `base_uri`)`

Parameter `base_uri`

  When supplied, will root the URI a the given location. This is needed to correctly verify relative URIs, but may be left out otherwise. If left out, and uri is a relative URI, an error is thrown.

Parameter `uri`

  When uri is another URI object, the created URI will inherit all properties of the supplied uri except, of course, for its base_uri.

Throws

  An exception is thrown if the `uri` is a relative URI or only a fragment, and missing a `base_uri`.